Bug 100917 - .spec file breakage (__find_requires)
Summary: .spec file breakage (__find_requires)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: libao (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-07-27 02:48 UTC by Ralph Loader
Modified: 2014-03-17 02:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-22 16:46:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralph Loader 2003-07-27 02:48:28 UTC
Description of problem:

The libao.spec file contains a __find_requires line to try and stop libao
depending on arts & audiofile & esd.

But this is not working; recent versions of rpm need
_use_internal_dependancy_generator turned off for __find_requires to be used.

Version-Release number of selected component (if applicable):

libao-0.8.3-4

Patch attached:

Index: dev/specs/libao.spec
===================================================================
--- dev/specs/libao.spec        (revision 384)
+++ dev/specs/libao.spec        (working copy)
@@ -9,6 +9,8 @@
 Source1: ao.req
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 BuildPrereq: esound-devel >= 0.2.8, arts-devel
+
+%define _use_internal_dependency_generator 0
 %define __find_requires %{SOURCE1}
  
 %description

Comment 1 Bill Nottingham 2003-10-22 16:46:12 UTC
Fixed in libao-0.8.3-5.

Similar bug fixed in xmms-1.2.8-3.p.


Note You need to log in before you can comment on or make changes to this bug.